import { type RouteVO } from "@/api/system/menu.api";

const routes: RouteVO[] = [
  {
    path: "/device",
    component: "Layout",
    redirect: "/device/real",
    name: "/device",
    meta: {
      title: "设备管理",
      icon: "system",
      hidden: false,
      alwaysShow: false,
    },
    children: [
      {
        path: "real",
        component: "device/index",
        name: "DeviceReal",
        meta: {
          title: "设备实时管理",
          icon: "el-icon-User",
          hidden: false,
          keepAlive: true,
          alwaysShow: false,
        },
      },
    ],
  },
  {
    path: "/system",
    component: "Layout",
    redirect: "/system/user",
    name: "/system",
    meta: {
      title: "系统管理",
      icon: "system",
      hidden: false,
      alwaysShow: false,
    },
    children: [
      {
        path: "user",
        component: "system/user/index",
        name: "User",
        meta: {
          title: "用户管理",
          icon: "el-icon-User",
          hidden: false,
          keepAlive: true,
          alwaysShow: false,
        },
      },
    ],
  },
];

export default routes;
